%define name maxemumtvguide
%define version 7.3.2
%define release %mkrel 2

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   KDE TV Guide (xmltv front end)
License:   GPL
URL:       http://mtvg.sourceforge.net/
Group:     Video
Source:    http://prdownloads.sourceforge.net/mtvg/%{name}-%{version}.tar.bz2
#http://mtvg.sourceforge.net/getfile.php?file=%{name}-%{version}.tar.gz
#http://prdownloads.sourceforge.net/mtvg/%{name}-%{version}.tar.gz?download
#%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel
BuildRequires: autoconf2.5
Requires: xmltv
Requires: xmltv-grabbers

%description
Maxemum TV-Guide (or mtvg in short) is a KDE TV-guide.

It is developed in C++, based on QT/KDE and uses XMLTV as it's backend.

At present there are backends grabbing TV listings for Australia, Belgium and 
Luxemburg, Brazil, Britain and Ireland, Denmark, Estonia, Finland, France, 
Germany, Hungary and Romania, Iceland, Italy, Japan, Netherlands, North 
America, Norway, Portugal, Reunion Island (France), South Africa, Spain, 
Sweden and Switzerland.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x --disable-rpath \
               --with-qt-libraries=%_prefix/lib/qt3/%_lib

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%{makeinstall_std}

#menus
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Multimedia/Video" \
        title="Maxemum TV-Guide" \
        longtitle="%{summary}" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png" \
        xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --remove-category="Utilities" \
  --add-category="Qt" \
  --add-category="TV" \
  --add-category="AudioVideo" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applnk/Utilities/*

install -m 644 src/hi48-app-%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 src/hi32-app-%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 src/hi16-app-%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

rm -rf %{buildroot}%{_datadir}/applnk

%find_lang %{name}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_docdir}/HTML/en/%{name}/common
%{_docdir}/HTML/en/%{name}/index.cache.bz2
%{_docdir}/HTML/en/%{name}/index.docbook
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
  
%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Fri Dec 14 2007 Guillaume Bedot <littletux@mandriva.org> 7.3.2-2mdv2008.1
+ Revision: 120062
- fix .desktop file(s)

* Fri Aug 10 2007 Guillaume Bedot <littletux@mandriva.org> 7.3.2-1mdv2008.0
+ Revision: 61385
- Release 7.3.2
- Import maxemumtvguide




* Sat Jul 01 2006 Pascal Terjan <pterjan@mandriva.org> 6.6.11cvs-2mdv2007.0
- Fix x86_64 build
- Use autoconf 2.5
- Silence setup

* Tue Jun 27 2006 Guillaume Bedot <littletux@mandriva.org> 6.6.11cvs-1mdv2007.0
- First Mandriva Linux release
